net.sourceforge.jnlp.controlpanel

## Class JVMPanel.JvmValidationResult

- java.lang.Object
- - net.sourceforge.jnlp.controlpanel.JVMPanel.JvmValidationResult

- Enclosing class:
    JVMPanel

      public static class JVMPanel.JvmValidationResult
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JVMPanel.JvmValidationResult.STATE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `formattedText`
    `JVMPanel.JvmValidationResult.STATE` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JvmValidationResult(java.lang.String formattedText, JVMPanel.JvmValidationResult.STATE id, java.lang.String stdouts)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### formattedText

          public final java.lang.String formattedText

    - #### id

          public final JVMPanel.JvmValidationResult.STATE id

  - ### Constructor Detail

    - #### JvmValidationResult

          public JvmValidationResult(java.lang.String formattedText,
                                     JVMPanel.JvmValidationResult.STATE id,
                                     java.lang.String stdouts)

Submit a bug or feature